templates/autoscale-existing-vpc.template.yaml [658:784]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      FortiGateInstanceType:
        default: Instance type
      FortiOSVersion:
        default: FortiOS version
      QSS3BucketName:
        default: Quick Start S3 bucket name
      QSS3KeyPrefix:
        default: Quick Start S3 key prefix
      QSS3BucketRegion:
        default: Quick Start S3 bucket Region
      LifecycleHookTimeout:
        default: Instance lifecycle timeout
      FgtAsgCooldown:
        default: Scaling cooldown period
      FgtAsgDesiredCapacityByol:
        default: Desired capacity (BYOL)
      FgtAsgMinSizeByol:
        default: Minimum group size (BYOL)
      FgtAsgMaxSizeByol:
        default: Maximum group size (BYOL)
      FgtAsgDesiredCapacityPayg:
        default: Desired capacity (on-demand)
      FgtAsgMinSizePayg:
        default: Minimum group size (on-demand)
      FgtAsgMaxSizePayg:
        default: Maximum group size (on-demand)
      FgtAsgHealthCheckGracePeriod:
        default: Health-check grace period
      FgtAsgScaleInThreshold:
        default: Scale-in threshold
      FgtAsgScaleOutThreshold:
        default: Scale-out threshold
      FortiGateAdminPort:
        default: Admin port
      FortiGateAdminCIDR:
        default: Admin CIDR block
      KeyPairName:
        default: Key-pair name
      FortiGatePskSecret:
        default: FortiGate PSK secret key
      HeartBeatInterval:
        default: Heartbeat interval
      HeartBeatLossCount:
        default: Heartbeat loss count
      HeartBeatDelayAllowance:
        default: Heartbeat delay allowance
      LoadBalancingTrafficProtocol:
        default: Traffic protocol
      LoadBalancingTrafficPort:
        default: Traffic port
      LoadBalancingHealthCheckThreshold:
        default: Health-check threshold
      InternalLoadBalancingOptions:
        default: Internal load-balancing options
      InternalTargetGroupHealthCheckPath:
        default: Health-check path
      InternalLoadBalancerDNSName:
        default: Internal load-balancer DNS name
      GetLicenseGracePeriod:
        default: Get license grace period
      PrimaryElectionTimeout:
        default: Primary election timeout
      FortiAnalyzerIntegrationOptions:
        default: FortiAnalyzer integration
      FortiAnalyzerInstanceType:
        default: FortiAnalyzer instance type
      FortiAnalyzerVersion:
        default: FortiAnalyzer version
      FortiAnalyzerCustomPrivateIPAddress:
        default: FortiAnalyzer private IP address
      FortiAnalyzerAutoscaleAdminUsername:
        default: Autoscale admin user name
      FortiAnalyzerAutoscaleAdminPassword:
        default: Autoscale admin password
      IntegratedNATGatewayOptions:
        default: Integrated NAT Gateway
Outputs:
  ResourceTagPrefix:
    Description: >-
      The value for the tag key "ResourceGroup" on all resources deployed in
      this stack.
    Value: !If
      - HasResourceTagPrefix
      - !Join
        - '-'
        - - !Ref ResourceTagPrefix
          - !Select
            - 0
            - !Split
              - '-'
              - !Select
                - 2
                - !Split
                  - /
                  - !Ref 'AWS::StackId'
      - !Select
        - 0
        - !Split
          - '-'
          - !Select
            - 2
            - !Split
              - /
              - !Ref 'AWS::StackId'
  CustomIdentifier:
    Description: >-
      The custom identifier specified for this stack. This is used as a resource
      name prefix on those resources that have a strict naming requirement.
    Value: !Ref CustomIdentifier
  FortiOSVersion:
    Description: The selected FortiOS version.
    Value: !Ref FortiOSVersion
  UniqueID:
    Description: >-
      An automatically generated random string as a unique ID for all resources
      in the deployment stack and nested stacks.
    Value: !Select
      - 0
      - !Split
        - '-'
        - !Select
          - 2
          - !Split
            - /
            - !Ref 'AWS::StackId'
  FgtLicensingModel:
    Description: >-
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



templates/autoscale-new-vpc.template.yaml [723:849]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      FortiGateInstanceType:
        default: Instance type
      FortiOSVersion:
        default: FortiOS version
      QSS3BucketName:
        default: Quick Start S3 bucket name
      QSS3KeyPrefix:
        default: Quick Start S3 key prefix
      QSS3BucketRegion:
        default: Quick Start S3 bucket Region
      LifecycleHookTimeout:
        default: Instance lifecycle timeout
      FgtAsgCooldown:
        default: Scaling cooldown period
      FgtAsgDesiredCapacityByol:
        default: Desired capacity (BYOL)
      FgtAsgMinSizeByol:
        default: Minimum group size (BYOL)
      FgtAsgMaxSizeByol:
        default: Maximum group size (BYOL)
      FgtAsgDesiredCapacityPayg:
        default: Desired capacity (on-demand)
      FgtAsgMinSizePayg:
        default: Minimum group size (on-demand)
      FgtAsgMaxSizePayg:
        default: Maximum group size (on-demand)
      FgtAsgHealthCheckGracePeriod:
        default: Health-check grace period
      FgtAsgScaleInThreshold:
        default: Scale-in threshold
      FgtAsgScaleOutThreshold:
        default: Scale-out threshold
      FortiGateAdminPort:
        default: Admin port
      FortiGateAdminCIDR:
        default: Admin CIDR block
      KeyPairName:
        default: Key-pair name
      FortiGatePskSecret:
        default: FortiGate PSK secret key
      HeartBeatInterval:
        default: Heartbeat interval
      HeartBeatLossCount:
        default: Heartbeat loss count
      HeartBeatDelayAllowance:
        default: Heartbeat delay allowance
      LoadBalancingTrafficProtocol:
        default: Traffic protocol
      LoadBalancingTrafficPort:
        default: Traffic port
      LoadBalancingHealthCheckThreshold:
        default: Health-check threshold
      InternalLoadBalancingOptions:
        default: Internal load-balancing options
      InternalTargetGroupHealthCheckPath:
        default: Health-check path
      InternalLoadBalancerDNSName:
        default: Internal load-balancer DNS name
      GetLicenseGracePeriod:
        default: Get license grace period
      PrimaryElectionTimeout:
        default: Primary election timeout
      FortiAnalyzerIntegrationOptions:
        default: FortiAnalyzer integration
      FortiAnalyzerInstanceType:
        default: FortiAnalyzer instance type
      FortiAnalyzerVersion:
        default: FortiAnalyzer version
      FortiAnalyzerCustomPrivateIPAddress:
        default: FortiAnalyzer private IP address
      FortiAnalyzerAutoscaleAdminUsername:
        default: Autoscale admin user name
      FortiAnalyzerAutoscaleAdminPassword:
        default: Autoscale admin password
      IntegratedNATGatewayOptions:
        default: Integrated NAT Gateway
Outputs:
  ResourceTagPrefix:
    Description: >-
      The value for the tag key "ResourceGroup" on all resources deployed in
      this stack.
    Value: !If
      - HasResourceTagPrefix
      - !Join
        - '-'
        - - !Ref ResourceTagPrefix
          - !Select
            - 0
            - !Split
              - '-'
              - !Select
                - 2
                - !Split
                  - /
                  - !Ref 'AWS::StackId'
      - !Select
        - 0
        - !Split
          - '-'
          - !Select
            - 2
            - !Split
              - /
              - !Ref 'AWS::StackId'
  CustomIdentifier:
    Description: >-
      The custom identifier specified for this stack. This is used as a resource
      name prefix on those resources that have a strict naming requirement.
    Value: !Ref CustomIdentifier
  FortiOSVersion:
    Description: The selected FortiOS version.
    Value: !Ref FortiOSVersion
  UniqueID:
    Description: >-
      An automatically generated random string as a unique ID for all resources
      in the deployment stack and nested stacks.
    Value: !Select
      - 0
      - !Split
        - '-'
        - !Select
          - 2
          - !Split
            - /
            - !Ref 'AWS::StackId'
  FgtLicensingModel:
    Description: >-
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



